#  Config file for libyui
#  It defines the following variables
#  LIBYUI_INCLUDE_DIRS - include directories for libyui
#  LIBYUI_LIBRARIES    - libraries to link against
#  LIBYUI_PREFIX       - prefix where libyui is installed
#  LIBYUI_SONAME       - soname of libyui
#  LIBYUI_SONAME_MAJOR - soname of libyui
#  LIBYUI_SONAME_MINOR - soname of libyui
#  LIBYUI_SONAME_PATCH - soname of libyui

# Export the SONAME for use by plugins
SET( LIBYUI_SONAME "9.0.0" )
SET( LIBYUI_SONAME_MAJOR "9" )
SET( LIBYUI_SONAME_MINOR "0" )
SET( LIBYUI_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI_CMAKE_DIR}/LibyuiBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI_INCLUDE_DIRS /usr/include/yui /usr/include/yui/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI_CMAKE_DIR}/LibyuiLibraryDepends.cmake" )

# These are IMPORTED targets created by LibyuiLibraryDepends.cmake
SET( LIBYUI_LIBRARIES yui )

MESSAGE( STATUS "Found Libyui: ${IMPORTED_LOCATION_RELEASE} (Version: 3.4.2)" )
